Bug 1806473 - perl-Gtk3-0.036-2.fc33 FTBFS: Can't find information for method TreeModel::sort_new_with_model at t/overrides.t line 466.
Summary: perl-Gtk3-0.036-2.fc33 FTBFS: Can't find information for method TreeModel::so...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Gtk3
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/bui...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-24 09:52 UTC by Petr Pisar
Modified: 2020-04-09 14:44 UTC (History)
4 users (show)

Fixed In Version: perl-Gtk3-0.037-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-06 10:05:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CPAN 131871 None None None 2020-02-24 09:52:07 UTC

Description Petr Pisar 2020-02-24 09:52:08 UTC
perl-Gtk3-0.036-2.fc33 fails to build in Fedora 33 because a test fails:

t/floating-refs.t .............. ok
Can't find information for method TreeModel::sort_new_with_model at t/overrides.t line 466.
# Looks like your test exited with 255 just after 112.
t/overrides.t .................. 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 121/233 subtests 

This is triggered by upgrading gtk3 from 3.24.13 to 3.24.14.

Comment 1 Petr Pisar 2020-04-06 10:00:08 UTC
Gnome has a fix <https://gitlab.gnome.org/GNOME/perl-gtk3/issues/5>. I will apply it.

Comment 2 Petr Pisar 2020-04-06 10:05:18 UTC
Jitka solved a by upgrading to a new upstream release.

Comment 3 Fedora Update System 2020-04-06 10:12:52 UTC
FEDORA-2020-11b578e45f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-11b578e45f

Comment 4 Fedora Update System 2020-04-07 02:27:29 UTC
FEDORA-2020-11b578e45f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-11b578e45f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-11b578e45f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-09 14:44:22 UTC
FEDORA-2020-11b578e45f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.